Arbor 3: FSM & BT Graph Editor 3.6.4

Public Member Functions | Public Attributes | Protected Member Functions | Properties | List of all members
RootNode Class Reference

Root Node More...

Inheritance diagram for RootNode:

## Public Member Functions
| RootNode (NodeGraph nodeGraph, int nodeID)
| RootNode constructor More...
override bool | HasParentLinkSlot ()
| Whether this node has a NodeLinkSlot to parent. More...
override bool | HasChildLinkSlot ()
| Whether this node has a NodeLinkSlot to child. More...
override bool | IsDeletable ()
| Returns whether or not it can be deleted. More...
override string | GetName ()
| Get node name. More...
Public Member Functions inherited from TreeNodeBase
| TreeNodeBase (NodeGraph nodeGraph, int nodeID)
| TreeNodeBase constructor More...
virtual NodeLinkSlot | GetParentLinkSlot ()
| Get NodeLinkSlot to parent. More...
override bool | IsDeletable ()
| Returns whether or not it can be deleted. More...
override string | ToString ()
| Convert node to string (for debugging). More...
Public Member Functions inherited from Node
| Node (NodeGraph nodeGraph, int nodeID)
| Node constructor More...
virtual bool | IsContainsBehaviour (NodeBehaviour behaviour)
| Check if it contains NodeBehaviour. More...
override string | ToString ()
| Convert node to string (for debugging). More...

## Public Attributes
NodeLinkSlot | childNodeLink = new NodeLinkSlot()
| Link to child nodes. More...
Public Attributes inherited from Node
Rect | position
| Position on the Arbor Editor. More...
bool | showComment
| Whether to display comments More...
string | nodeComment
| Comment More...

## Protected Member Functions
override void | OnExecute ()
| Called when executing. More...
Protected Member Functions inherited from Node
virtual void | OnGraphChanged ()
| Called when the NodeGraph to which the Node belongs has changed. More...

## Properties
TreeNodeBase | childNode`[get]`
| Get child node. More...
Properties inherited from TreeNodeBase
bool | enablePriority`[get]`
| Returns true if it is traced from the root node and connected. More...
int | priority`[get]`
| The priority of the node. More...
BehaviourTreeInternal | behaviourTree`[get]`
| Gets the behaviour tree. More...
TreeNodeBase | parentNode`[get]`
| Get parent node. More...
NodeStatus | status`[get]`
| The state of the node. More...
bool | isActive`[get]`
| Returns true if it is active. More...
Properties inherited from Node
NodeGraph | nodeGraph`[get]`
| Gets the NodeGraph. More...
int | nodeID`[get]`
| Gets the node identifier. More...

## Detailed Description

Root Node

## Constructor & Destructor Documentation

## ◆ RootNode()

RootNode | ( | NodeGraph | nodeGraph,
|  | int | nodeID
| ) |  |

RootNode constructor

Parameters

  nodeGraph | NodeGraph with this node
  nodeID | Node ID

RootNode is created automatically as soon as Behavior Tree is created.

## Member Function Documentation

## ◆ GetName()

override string GetName | ( |  | ) |
| virtual

Get node name.

Returns
  Node name

Reimplemented from Node.

## ◆ HasChildLinkSlot()

override bool HasChildLinkSlot | ( |  | ) |
| virtual

Whether this node has a NodeLinkSlot to child.

Returns
  True if it has a NodeLinkSlot to child, false otherwise.

Implements TreeNodeBase.

## ◆ HasParentLinkSlot()

override bool HasParentLinkSlot | ( |  | ) |
| virtual

Whether this node has a NodeLinkSlot to parent.

Returns
  True if it has a NodeLinkSlot to parent, false otherwise.

Implements TreeNodeBase.

## ◆ IsDeletable()

override bool IsDeletable | ( |  | ) |
| virtual

Returns whether or not it can be deleted.

Returns
  Returns true if it can be deleted.

Reimplemented from Node.

## ◆ OnExecute()

override void OnExecute | ( |  | ) |
| protected virtual

Called when executing.

Implements TreeNodeBase.

## Member Data Documentation

## ◆ childNodeLink

NodeLinkSlot childNodeLink = new NodeLinkSlot()

Link to child nodes.

## Property Documentation

## ◆ childNode

TreeNodeBase childNode
| get

Get child node.